xine-lib: xine-lib-1.2.12/src/audio_out/audio_esd_out.c File Reference

xine-lib 1.2.12

Data Structures | Macros | Typedefs | Functions | Variables
audio_esd_out.c File Reference
`#include <stdio.h>`
`#include <stdlib.h>`
`#include <errno.h>`
`#include <string.h>`
`#include <unistd.h>`
`#include <esd.h>`
`#include <signal.h>`
`#include <sys/time.h>`
`#include <sys/uio.h>`
`#include <inttypes.h>`
`#include <xine/xine_internal.h>`
`#include <xine/xineutils.h>`
`#include <xine/audio_out.h>`
`#include <xine/metronom.h>`

## Data Structures
struct | esd_driver_s
struct | esd_class_t

## Macros
#define | AO_OUT_ESD_IFACE_VERSION 9
#define | REBLOCK 1 /* reblock output to ESD_BUF_SIZE blks */
#define | GAP_TOLERANCE 5000

## Typedefs
typedef struct esd_driver_s | esd_driver_t

## Functions
static int | ao_esd_open (ao_driver_t *this_gen, uint32_t bits, uint32_t rate, int mode)
static int | ao_esd_num_channels (ao_driver_t *this_gen)
static int | ao_esd_bytes_per_frame (ao_driver_t *this_gen)
static int | ao_esd_delay (ao_driver_t *this_gen)
static int | ao_esd_write (ao_driver_t *this_gen, int16_t *frame_buffer, uint32_t num_frames)
static void | ao_esd_close (ao_driver_t *this_gen)
static uint32_t | ao_esd_get_capabilities (ao_driver_t *this_gen)
static int | ao_esd_get_gap_tolerance (ao_driver_t *this_gen)
static void | ao_esd_exit (ao_driver_t *this_gen)
static int | ao_esd_get_property (ao_driver_t *this_gen, int property)
static int | ao_esd_set_property (ao_driver_t *this_gen, int property, int value)
static int | ao_esd_ctrl (ao_driver_t *this_gen, int cmd,...)
static ao_driver_t * | open_plugin (audio_driver_class_t *class_gen, const void *data)
static void * | init_class (xine_t *xine, const void *data)

## Variables
static const ao_info_t | ao_info_esd
const plugin_info_t xine_plugin_info[] | EXPORTED

## Macro Definition Documentation

## ◆ AO_OUT_ESD_IFACE_VERSION

#define AO_OUT_ESD_IFACE_VERSION 9

## ◆ GAP_TOLERANCE

#define GAP_TOLERANCE 5000

## ◆ REBLOCK

#define REBLOCK 1 /* reblock output to ESD_BUF_SIZE blks */

## Typedef Documentation

## ◆ esd_driver_t

typedef struct esd_driver_s esd_driver_t

## Function Documentation

## ◆ ao_esd_bytes_per_frame()

static int ao_esd_bytes_per_frame | ( | ao_driver_t * | this_gen | ) |
| static

Referenced by open_plugin().

## ◆ ao_esd_close()

static void ao_esd_close | ( | ao_driver_t * | this_gen | ) |
| static

Referenced by open_plugin().

## ◆ ao_esd_ctrl()

static int ao_esd_ctrl | ( | ao_driver_t * | this_gen,
|  | int | cmd,
|  |  | ...
| ) |  |
| static

References AO_CTRL_FLUSH_BUFFERS, AO_CTRL_PLAY_PAUSE, and AO_CTRL_PLAY_RESUME.

Referenced by open_plugin().

## ◆ ao_esd_delay()

static int ao_esd_delay | ( | ao_driver_t * | this_gen | ) |
| static

References NULL.

Referenced by open_plugin().

## ◆ ao_esd_exit()

static void ao_esd_exit | ( | ao_driver_t * | this_gen | ) |
| static

Referenced by open_plugin().

## ◆ ao_esd_get_capabilities()

static uint32_t ao_esd_get_capabilities | ( | ao_driver_t * | this_gen | ) |
| static

Referenced by open_plugin().

## ◆ ao_esd_get_gap_tolerance()

static int ao_esd_get_gap_tolerance | ( | ao_driver_t * | this_gen | ) |
| static

References GAP_TOLERANCE.

Referenced by open_plugin().

## ◆ ao_esd_get_property()

static int ao_esd_get_property | ( | ao_driver_t * | this_gen,
|  | int | property
| ) |  |
| static

References AO_PROP_MIXER_VOL, AO_PROP_MUTE_VOL, and NULL.

Referenced by ao_esd_set_property(), and open_plugin().

## ◆ ao_esd_num_channels()

static int ao_esd_num_channels | ( | ao_driver_t * | this_gen | ) |
| static

Referenced by open_plugin().

## ◆ ao_esd_open()

static int ao_esd_open | ( | ao_driver_t * | this_gen,
|  | uint32_t | bits,
|  | uint32_t | rate,
|  | int | mode
| ) |  |
| static

References _, AO_CAP_MODE_MONO, AO_CAP_MODE_STEREO, bits, mode(), NULL, XINE_VERBOSITY_DEBUG, XINE_VERBOSITY_LOG, and xprintf.

Referenced by open_plugin().

## ◆ ao_esd_set_property()

static int ao_esd_set_property | ( | ao_driver_t * | this_gen,
|  | int | property,
|  | int | value
| ) |  |
| static

References ao_esd_get_property(), AO_PROP_MIXER_VOL, AO_PROP_MUTE_VOL, NULL, and v.

Referenced by open_plugin().

## ◆ ao_esd_write()

static int ao_esd_write | ( | ao_driver_t * | this_gen,
|  | int16_t * | frame_buffer,
|  | uint32_t | num_frames
| ) |  |
| static

References NULL, XINE_VERBOSITY_DEBUG, and xprintf.

Referenced by open_plugin().

## ◆ init_class()

static void * init_class | ( | xine_t * | xine,
|  | const void * | data
| ) |  |
| static

References default_audio_driver_class_dispose, audio_driver_class_s::description, audio_driver_class_s::dispose, esd_class_t::driver_class, audio_driver_class_s::identifier, N_, NULL, open_plugin(), audio_driver_class_s::open_plugin, and esd_class_t::xine.

## ◆ open_plugin()

static ao_driver_t * open_plugin | ( | audio_driver_class_t * | class_gen,
|  | const void * | data
| ) |  |
| static

References _, AO_CAP_MIXER_VOL, AO_CAP_MODE_MONO, AO_CAP_MODE_STEREO, AO_CAP_MUTE_VOL, ao_esd_bytes_per_frame(), ao_esd_close(), ao_esd_ctrl(), ao_esd_delay(), ao_esd_exit(), ao_esd_get_capabilities(), ao_esd_get_gap_tolerance(), ao_esd_get_property(), ao_esd_num_channels(), ao_esd_open(), ao_esd_set_property(), ao_esd_write(), xine_s::config, NULL, config_values_s::xine, esd_class_t::xine, XINE_VERBOSITY_DEBUG, XINE_VERBOSITY_LOG, and xprintf.

Referenced by init_class().

## Variable Documentation

## ◆ ao_info_esd

const ao_info_t ao_info_esd
| static

Initial value:
= {
.priority = 4,
}

## ◆ EXPORTED

const plugin_info_t xine_plugin_info [] EXPORTED

Initial value:
= {
{ PLUGIN_AUDIO_OUT, 9 , "esd", XINE_VERSION_CODE, &ao_info_esd, init_class },
{ PLUGIN_NONE, 0, NULL, 0, NULL, NULL }
}
init_class
static void * init_class(xine_t *xine, const void *data)
Definition: audio_esd_out.c:570
ao_info_esd
static const ao_info_t ao_info_esd
Definition: audio_esd_out.c:590
XINE_VERSION_CODE
#define XINE_VERSION_CODE
Definition: xine_internal.h:57
NULL
NULL
Definition: xine_plugin.c:78
PLUGIN_NONE
#define PLUGIN_NONE
Definition: xine_plugin.h:29
PLUGIN_AUDIO_OUT
#define PLUGIN_AUDIO_OUT
Definition: xine_plugin.h:35